Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.consultation.protocol.v3
Interface EhBoxConsultationPortType

    public interface EhBoxConsultationPortType

This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated source version: 2.1

Method Summary
`DeleteMessageResponse` | `deleteMessage(DeleteMessageRequest body)`
`DeleteOoOResponse` | `deleteOoO(DeleteOoORequest body)`
`GetMessageListResponseType` | `getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest body)`
`GetBoxInfoResponse` | `getBoxInfo(GetBoxInfoRequest body)`
`GetFullMessageResponse` | `getFullMessage(MessageRequestType body)`
`GetMessageAcknowledgmentsStatusResponse` | `getMessageAcknowledgmentsStatus(GetMessageAcknowledgmentsStatusRequest body)`
`GetHistoryResponse` | `getMessageHistory(MessageRequestType body)`
`GetMessageListResponseType` | `getMessagesList(GetMessagesListRequest body)`
`GetOoOListResponse` | `getOoOList(GetOoOListRequest body)`
`InsertOoOResponse` | `insertOoO(InsertOoORequest body)`
`MoveMessageResponse` | `moveMessage(MoveMessageRequest body)`

Method Detail

### getBoxInfo

    GetBoxInfoResponse getBoxInfo(GetBoxInfoRequest body)
                                  throws BusinessError,
                                         SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetBoxInfoResponse
  Throws:
    `BusinessError`
    `SystemError`

### getMessagesList

    GetMessageListResponseType getMessagesList(GetMessagesListRequest body)
                                               throws BusinessError,
                                                      SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageListResponseType
  Throws:
    `BusinessError`
    `SystemError`

### getAllEhboxesMessagesList

    GetMessageListResponseType getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest body)
                                                         throws BusinessError,
                                                                SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageListResponseType
  Throws:
    `BusinessError`
    `SystemError`

### getFullMessage

    GetFullMessageResponse getFullMessage(MessageRequestType body)
                                          throws BusinessError,
                                                 SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse
  Throws:
    `BusinessError`
    `SystemError`

### moveMessage

    MoveMessageResponse moveMessage(MoveMessageRequest body)
                                    throws BusinessError,
                                           SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.MoveMessageResponse
  Throws:
    `BusinessError`
    `SystemError`

### deleteMessage

    DeleteMessageResponse deleteMessage(DeleteMessageRequest body)
                                        throws BusinessError,
                                               SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteMessageResponse
  Throws:
    `BusinessError`
    `SystemError`

### getMessageHistory

    GetHistoryResponse getMessageHistory(MessageRequestType body)
                                         throws BusinessError,
                                                SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetHistoryResponse
  Throws:
    `BusinessError`
    `SystemError`

### getMessageAcknowledgmentsStatus

    GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatus(GetMessageAcknowledgmentsStatusRequest body)
                                                                            throws BusinessError,
                                                                                   SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusResponse
  Throws:
    `BusinessError`
    `SystemError`

### insertOoO

    InsertOoOResponse insertOoO(InsertOoORequest body)
                                throws BusinessError,
                                       SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.InsertOoOResponse
  Throws:
    `BusinessError`
    `SystemError`

### deleteOoO

    DeleteOoOResponse deleteOoO(DeleteOoORequest body)
                                throws BusinessError,
                                       SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteOoOResponse
  Throws:
    `BusinessError`
    `SystemError`

### getOoOList

    GetOoOListResponse getOoOList(GetOoOListRequest body)
                                  throws BusinessError,
                                         SystemError

  Parameters:
    `body` -
  Returns:
    returns be.fgov.ehealth.ehbox.consultation.protocol.v3.GetOoOListResponse
  Throws:
    `BusinessError`
    `SystemError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.